/*======================================
	    [Cvars PS File]
======================================*/

public cvar_initialization()
{
	new version[12];

	#if defined SAVE_SQL
	 formatex(version, 11, "%s SQL", gVERSION);
	#else
	 formatex(version, 11, "%s VLT", gVERSION);
	#endif

	register_cvar("point_version", version, FCVAR_SERVER|FCVAR_SPONLY);

	//Pcvars
	ps_vip_cost	=	register_cvar("ps_vip_cost", "3500");

	ps_dj_cost	=	register_cvar("ps_doublejump_cost", "350");
	ps_cpm_cost	=	register_cvar("ps_custom_player_model_cost", "8000");

	ps_mr_cost	=	register_cvar("ps_mute_cost", "500");
	ps_mv_cost	=	register_cvar("ps_mapvote_cost", "800");

	ps_vmr_cost	=	register_cvar("ps_mute_vip_cost", "875");
	ps_hide		=	register_cvar("ps_hide_say", "0");

	ps_time_points	=	register_cvar("ps_time_points", "3");
	ps_time		=	register_cvar("ps_time", "10");

	ps_rs_cost	=	register_cvar("ps_reserved_slot_cost", "6500");
	ps_rs_weeks	=	register_cvar("ps_reserved_slot_weeks", "2");

	ps_cm_cost	=	register_cvar("ps_chameleon_cost", "1650");
	ps_cm		=	register_cvar("ps_chameleon", "1");

	ps_vmr		=	register_cvar("ps_mute_vip", "1");
	ps_mr		=	register_cvar("ps_mute", "1");

	ps_mv		=	register_cvar("ps_mapvote", "1");
	ps_cpm		=	register_cvar("ps_custom_player_model", "1");

	ps_dj		=	register_cvar("ps_doublejump", "1");
	ps_vip		=	register_cvar("ps_vip", "1");

	ps_dm		=	register_cvar("ps_damage_multiplier", "1");
	ps_rs		=	register_cvar("ps_reserved_slot", "1");

	ps_dm_cost	=	register_cvar("ps_damage_multiplier_points", "435");
	ps_dm_rounds	=	register_cvar("ps_damage_multiplier_rounds", "3");

	ps_res_points	=	register_cvar("ps_hostage_rescue_points", "2");
	ps_esc_points	=	register_cvar("ps_vip_escape_points", "7");

	ps_asa		=	register_cvar("ps_vip_frag_points", "5");
	ps_sound	=	register_cvar("ps_sound", "1");

	ps_plt_points	=	register_cvar("ps_plant_points", "3");
	ps_def_points	=	register_cvar("ps_defuse_points", "3");

	ps_tk_points	=	register_cvar("ps_tk_points", "3");
	ps_adv_time	=	register_cvar("ps_advert_time", "120");

	ps_sur_points	=	register_cvar("ps_survive_points", "1");
	ps_mcy_points	=	register_cvar("ps_mercy_points", "1");

	ps_mcy_stop	=	register_cvar("ps_mercy_stop", "300");
	ps_players	=	register_cvar("ps_players_required", "3");

	ps_win_points_ct=	register_cvar("ps_win_points_ct", "2");
	ps_win_points_t	=	register_cvar("ps_win_points_t", "2");

	ps_vehicle_points=	register_cvar("ps_vehicle_frag_points", "1");
	ps_vehicle_hs	=	register_cvar("ps_vehicle_hs_points", "3");

	ps_game_name	=	register_cvar("ps_game_name", "1");
	ps_map_file	=	register_cvar("ps_map_file", "maps");

	ps_dj_rounds	=	register_cvar("ps_doublejump_rounds", "1");
	ps_cm_rounds	=	register_cvar("ps_chameleon_rounds", "1");

	ps_lan_mode	=	register_cvar("ps_lan_mode", "0");
	ps_frags_on	=	register_cvar("ps_frags_on", "1");

	ps_menu		=	register_cvar("ps_menu", "1");
	ps_motd		=	register_cvar("ps_end_motd", "1");

	ps_message	=	register_cvar("ps_messages", "1");

	// PCVAR for each weapon
	new weapon[20], cvar[2][MAX_LENGTH + 1];

	for(new i = 1; i < 32; i++)
	{
		get_weaponname(i, weapon, 19);

		if(weapon[0])
		{
			// Remove This
			replace(weapon, 19, "weapon_", "");

			formatex(cvar[0], MAX_LENGTH, "ps_%s_frag_points", weapon);
			formatex(cvar[1], MAX_LENGTH, "ps_%s_hs_points", weapon);

			frag_kl[i]	= register_cvar(cvar[0], "3");
			frag_hs[i]	= register_cvar(cvar[1], "5");
		}
	}

	//Pcvar Pointers
	ps_show		=	get_cvar_pointer("amx_show_activity");
	ps_tk		=	get_cvar_pointer("mp_friendlyfire");

	ps_hostname	=	get_cvar_pointer("hostname");
	g_maxplayers	=	get_maxplayers();

	#if defined SAVE_SQL
	// SQL Cvars
	register_cvar("ps_sql_host", "127.0.0.1");
	register_cvar("ps_sql_user", "root");

	register_cvar("ps_sql_pass", "password");
	register_cvar("ps_sql_db", "point_sys");

	ps_sql_fast	=	register_cvar("ps_sql_fastserver", "1");
	#endif
}