/*======================================
	     [Menu PS File]
======================================*/

public points_menu(id)
{
	if(gb_user_connected[id] && is_ps_on() && get_pcvar_num(ps_menu))
	{
		ExecuteForward(g_fwd_menu_creation, g_fwd_dummy, id);

		static dynamic[9][82];
		new rounds = get_pcvar_num(ps_dj_rounds);
		
		formatex(dynamic[0], 81, "\wDouble Jump \r%d\w Round(s) - \r%d\w points", rounds, get_pcvar_num(ps_dj_cost));
		
		new status_1	=	g_status[id][0];
		new status_3	=	g_status[id][2];
		new status_4	=	g_status[id][3];

		new status_5	=	get_pcvar_num(ps_cm_rounds);
		new status_6	=	get_pcvar_num(ps_dm_rounds);
		new status_7	=	get_pcvar_num(ps_rs_weeks);
		
		if(!status_1)
			formatex(dynamic[1], 81, "\wVIP (You can Votekick 7x) - \r%d\w points", get_pcvar_num(ps_vip_cost));
		
		else if(status_1 > 0)
			formatex(dynamic[1], 81, "\wVIP || Choose a player to votekick || %d times left", status_1);
		
		formatex(dynamic[2], 81, "\wCustom Player Models - \r%d\w points", get_pcvar_num(ps_cpm_cost));
		
		if(!status_3)
			formatex(dynamic[3], 81, "\wMute Rights (5x 2 min) - \r%d\w points", get_pcvar_num(ps_mr_cost));
		
		else if(status_3 > 0)
			formatex(dynamic[3], 81, "\wMute Rights || Choose a player to mute || %d times left", status_3);
		
		if(!status_4)
			formatex(dynamic[4], 81, "\wVIP Mute Rights (5x 10 min) - \r%d\w points", get_pcvar_num(ps_vmr_cost));
		
		else if(status_4 > 0)
			formatex(dynamic[4], 81, "\wVIP Mute Rights || Choose a player to mute || %d times left", status_4);
		
		formatex(dynamic[5], 81, "\wStart a Mapvote - \r%d\w points", get_pcvar_num(ps_mv_cost));
		formatex(dynamic[6], 81, "\wChameleon \r%d\w Round(s) - \r%d\w points", status_5, get_pcvar_num(ps_cm_cost));
		formatex(dynamic[7], 81, "\wMultiplied Damage \r%d\w Round(s) - \r%d\w points", status_6, get_pcvar_num(ps_dm_cost));

		if(is_plugin_loaded("Slots Reservation"))
		{
			if(g_status[id][6] > 0 && get_user_flags(id) & ADMIN_RESERVATION)
			{
				new time = (g_status[id][6] - get_systime_h());
				formatex(dynamic[8], 81, "\wReserverd Slot \r%d\w Hour(s) Left", time);
			}

			else { formatex(dynamic[8], 81, "\wReserverd Slot \r%d\w Week(s) - \r%d\w points", status_7, get_pcvar_num(ps_rs_cost)); }
		}
		
		new menu = menu_create("\y[C]hoose Option", "point_handler");
		menu_additem(menu, "\wShow Points", "1", 0);

		if(get_pcvar_num(ps_vip))
			menu_additem(menu, dynamic[1], "3", 0);

		if(get_pcvar_num(ps_cpm))
			menu_additem(menu, dynamic[2], "4", 0);
		
		if(get_pcvar_num(ps_mr))
			menu_additem(menu, dynamic[3], "5", 0);
		
		if(get_pcvar_num(ps_vmr))
			menu_additem(menu, dynamic[4], "6", 0);
		
		if(get_pcvar_num(ps_mv))
			menu_additem(menu, dynamic[5], "7", 0);

		if(get_pcvar_num(ps_rs) && status_7)
			menu_additem(menu, dynamic[8], "10", 0);

		if(get_pcvar_num(ps_dj) && rounds)
			menu_additem(menu, dynamic[0], "2", 0);
		
		if(get_pcvar_num(ps_cm) && status_5)
			menu_additem(menu, dynamic[6], "8", 0);

		if(get_pcvar_num(ps_dm) && status_6)
			menu_additem(menu, dynamic[7], "9", 0);

		if(g_custom_menus_num)
		{
			static num[24];

			for(new y = 0; y < g_custom_menus_num; y++)
			{
				num_to_str(g_custom_menu_id[y], num, 23);
				menu_additem(menu, g_custom_menus[y], num, 0);
			}
		}
		
		menu_setprop(menu, MPROP_EXIT, MEXIT_ALL);
		menu_display(id, menu, 0);
	}

	// Console Command
	return 1;
}

public point_handler(id, menu, item)
{
	if(item == MENU_EXIT)
	{
		menu_destroy(menu);
		return 1;
	}
	
	static data[24], name[64];
	new access, callback;
	
	menu_item_getinfo(menu, item, access, data, 23, name, 63, callback);
	new key = str_to_num(data);

	ExecuteForward(g_fwd_menu_selection, g_fwd_dummy, id, key);
	
	switch(key)
	{
		case 1:
		{
			show_points(id);
			points_menu(id);
		}
		
		case 2: db_handle(id);
		case 3:
		{
			if(!g_status[id][0])
				vip_handle(id);
			
			else if(g_status[id][0])
				vip_menu(id);
		}
		
		case 4: cpm_menu(id);
		case 5:
		{
			if(!g_status[id][2])
				mr_handle(id);
			
			else if(g_status[id][2])
				mr_menu(id);
		}
		
		case 6:
		{
			if(!g_status[id][3])
				vmr_handle(id);
			
			if(g_status[id][3])
				vmr_menu(id);
		}
		
		case 7: sam_handle(id);
		case 8: cm_handle(id);
		case 9: dm_handle(id);
		case 10: rs_handle(id);
	}
	
	menu_destroy(menu);
	return 1;
}

public mr_menu(id)
{
	if(is_ps_on() && gb_user_connected[id])
	{
		new menu = menu_create("[P]layers", "mr_players", 0);
		static name[MAX_LENGTH + 1];
		
		for(new i = 1; i <= g_maxplayers; i++)
		{
			if(g_status[i][4] && !muted[i])
				muted[i] = true;
			
			if(gb_user_connected[i] && !muted[i])
			{
				get_user_name(i, name, MAX_LENGTH);
				menu_additem(menu, name, name, -1);
			}
		}
		
		menu_display(id, menu, 0);
	}
	
	return 1;
}

public mr_players(id, menu, item)
{
	if(item == MENU_EXIT)
	{
		menu_destroy(menu);
		return 1;
	}

	static info[2][MAX_LENGTH + 1];
	new access, callback;

	menu_item_getinfo(menu, item, access, info[0], MAX_LENGTH, "", 0, callback);
	new target	=	get_user_index(info[0]);

	if(get_user_flags(target) & ADMIN_IMMUNITY)
	{
		point_print(id, "%L", id, "POINT_IMMUNITY", info[0]);
		menu_destroy(menu);

		return 1;
	}

	get_user_name(id, info[1], MAX_PLAYERS);
	muted[target] = true;
	
	point_print(target, "%L", target, "POINT_GOT_MUTED", info[1], "2");
	
	new write = (get_systime() / 60 + 2);
	change_status(target, 5, write);
	
	new status = g_status[id][2]; status--;
	change_status(id, 3, status);
	
	point_print(id, "%L", id, "POINT_MUTE", info[0], "2", status);
	
	menu_destroy(menu);
	return 1;
}

public vmr_menu(id)
{
	if(is_ps_on() && gb_user_connected[id])
	{
		new menu = menu_create("[P]layers", "vmr_players", 0);
		static name[MAX_LENGTH + 1];
		
		for(new i = 1; i <= g_maxplayers; i++)
		{
			if(g_status[i][4] && !muted[i])
				muted[i] = true;
			
			if(gb_user_connected[i] && !muted[i])
			{
				get_user_name(i, name, MAX_LENGTH);
				menu_additem(menu, name, name, -1);
			}
		}
		
		menu_display(id, menu, 0);
	}
	
	return 1;
}

public vmr_players(id, menu, item)
{
	if(item == MENU_EXIT)
	{
		menu_destroy(menu);
		return 1;
	}
	
	static info[2][MAX_LENGTH + 1];
	new access, callback;
	
	menu_item_getinfo(menu, item, access, info[0], MAX_LENGTH, "", 0, callback);
	new target	=	get_user_index(info[0]);

	if(get_user_flags(target) & ADMIN_IMMUNITY)
	{
		point_print(id, "%L", id, "POINT_IMMUNITY", info[0]);
		menu_destroy(menu);

		return 1;
	}
	
	get_user_name(id, info[1], MAX_LENGTH);
	muted[target] = true;
	
	point_print(target, "%L", target, "POINT_GOT_MUTED", info[1], "10");
	
	new write = (get_systime() / 60 + 10);
	change_status(target, 5, write);
	
	new status = g_status[id][3]; status--;
	change_status(id, 4, status);
	
	point_print(id, "%L", id, "POINT_MUTE", info[0], "10", status);
	
	menu_destroy(menu);
	return 1;
}

public choose_map(id)
{
	if(is_false_user(id))
		return 1;

	// Create Map List Locations
	static pcvar[12], cfgDir[32];
	static filedata[128], mapcount;

	get_configsdir(cfgDir, 31);
	get_pcvar_string(ps_map_file, pcvar, 11);

	if(equali(pcvar, "mapcycle") || equali(pcvar, "mapcycle.txt"))
		formatex(filedir5, 255, "mapcycle.txt");

	else if(equali(pcvar, "maps") || equali(pcvar, "maps.ini"))
		formatex(filedir5, 255, "%s/maps.ini", cfgDir);

	// Map Vote Menu
	menu_id_map	= menu_create("[M]aps Menu", "sam_map");
	new filep	= fopen(filedir5, "rt");

	while(!feof(filep))
	{
		fgets(filep, filedata, 127); trim(filedata);

		if(is_map_valid(filedata))
		{
			menu_additem(menu_id_map, filedata, filedata, -1); mapcount++;

			if(mapcount >= MAX_MAPS)
			{
				log_amx("Map Limit Reached : %d", mapcount);
				break;
			}
		}
	}

	fclose(filep);

	if(!mapcount)
	{
		point_print(id, "%L", id, "POINT_NO_MAPS");
		return 1;
	}

	menu_setprop(menu_id_map, MPROP_EXIT, MEXIT_ALL);
	menu_display(id, menu_id_map, 0);

	return 1;
}

public vip_menu(id)
{
	if(is_ps_on() && gb_user_connected[id])
	{
		new menu = menu_create("[P]layers", "vip_players", 0);
		static name[MAX_LENGTH + 1];
		
		for(new i = 1; i <= g_maxplayers; i++)
		{
			if(gb_user_connected[i])
			{
				get_user_name(i, name, MAX_LENGTH);
				menu_additem(menu, name, name, -1);
			}
		}
		
		menu_display(id, menu, 0);
	}
	
	return 1;
}

public vip_players(id, menu, item)
{
	if(item == MENU_EXIT)
	{
		menu_destroy(menu);
		return 1;
	}
	
	static info[2][MAX_LENGTH + 1];
	new access, callback;
	
	menu_item_getinfo(menu, item, access, info[0], MAX_LENGTH, "", 0, callback);
	new target	=	get_user_index(info[0]);
	
	if(get_user_flags(target) & ADMIN_IMMUNITY)
	{
		point_print(id, "%L", id, "POINT_IMMUNITY", info[0]);
		menu_destroy(menu);

		return 1;
	}
	
	get_user_name(id, info[1], MAX_LENGTH);
	point_print(target, "%L", target, "POINT_GOT_VOTEKICK", info[1]);
		
	new status = g_status[id][0]; status--;
	change_status(id, 1, status);
		
	point_print(id, "%L", id, "POINT_VK_L", info[0], status);
	server_cmd("amx_votekick %s", info[0]);
	
	menu_destroy(menu);
	return 1;
}

public cpm_menu(id)
{
	switch(fm_get_user_team(id))
	{
		case FM_TEAM_CT:
		{
			if(TotalModels_CT && gb_user_connected[id])
			{
				new menu_id_model_ct = menu_create("[M]odel Menu", "cpm_models");

				for(new i = 0; i < TotalModels_CT; i++)
					if(file_exists(PLMDL_CT[i]))
						menu_additem(menu_id_model_ct, PLNAME_CT[i], PLNAME_CT[i], -1);

				if(g_status[id][5] > 0)
				{
					menu_addblank(menu_id_model_ct, 0);
					menu_additem(menu_id_model_ct, "Reset Model", "reset", -1);
				}

				menu_setprop(menu_id_model_ct, MPROP_EXIT, MEXIT_ALL);
				menu_display(id, menu_id_model_ct, 0);
			}

			else
				point_print(id, "%L", id, "POINT_NO_MODELS");
		}
			
		case FM_TEAM_T:
		{
			if(TotalModels_T && gb_user_connected[id])
			{
				new menu_id_model_t = menu_create("[M]odel Menu", "cpm_models");

				for(new i = 0; i < TotalModels_T; i++)
					if(file_exists(PLMDL_T[i]))
						menu_additem(menu_id_model_t, PLNAME_T[i], PLNAME_T[i], -1);

				if(g_status[id][1] > 0)
				{
					menu_addblank(menu_id_model_t, 0);
					menu_additem(menu_id_model_t, "Reset Model", "reset", -1);
				}

				menu_setprop(menu_id_model_t, MPROP_EXIT, MEXIT_ALL);
				menu_display(id, menu_id_model_t, 0);
			}

			else
				point_print(id, "%L", id, "POINT_NO_MODELS");
		}
	}
	
	return 1;
}